Create an API key
curl --request POST \
--url https://api.onkernel.com/org/api_keys \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "staging",
"days_to_expire": 30,
"project_id": "proj_abc123"
}
'import requests
url = "https://api.onkernel.com/org/api_keys"
payload = {
"name": "staging",
"days_to_expire": 30,
"project_id": "proj_abc123"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'staging', days_to_expire: 30, project_id: 'proj_abc123'})
};
fetch('https://api.onkernel.com/org/api_keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "ckv9w8q2f000001l5r3j7k9m4",
"name": "production",
"created_at": "2023-11-07T05:31:56Z",
"created_by": {
"id": "user-abc123",
"email": "user@example.com",
"name": "Jane Doe"
},
"expires_at": "2023-11-07T05:31:56Z",
"project_id": "proj_abc123",
"project_name": "Production",
"masked_key": "sk_1234...abcd",
"key": "sk_1234abcd"
}{
"code": "bad_request",
"message": "Missing required field: app_name",
"details": [
{
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
],
"inner_error": {
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
}{
"code": "bad_request",
"message": "Missing required field: app_name",
"details": [
{
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
],
"inner_error": {
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
}{
"code": "bad_request",
"message": "Missing required field: app_name",
"details": [
{
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
],
"inner_error": {
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
}{
"code": "bad_request",
"message": "Missing required field: app_name",
"details": [
{
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
],
"inner_error": {
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
}API Keys
Create an API key
Create a new API key within the authenticated organization.
POST
/
org
/
api_keys
Create an API key
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
API key created successfully
API key returned immediately after creation. Includes the plaintext key once.
Unique API key identifier
Example:
"ckv9w8q2f000001l5r3j7k9m4"
API key name
Example:
"production"
When the API key was created
Show child attributes
Show child attributes
When the API key expires
Project identifier for project-scoped API keys. Null means org-wide.
Example:
"proj_abc123"
Project name for project-scoped API keys. Null means the key is org-wide or the project name is unavailable.
Example:
"Production"
Masked version of the API key
Example:
"sk_1234...abcd"
Plaintext API key. Only returned once when the key is created.
Example:
"sk_1234abcd"
⌘I